"use client"
import { Button } from "@/components/ui/button";
import Styles from "./page.module.css"
import { DataTable } from "@/components/layout/dataTable/dataTable";
import { Suspense } from 'react'
function Employees() {
    const data =[{
        title:"Total Employees ",
        icon: <i className="material-symbols-outlined ">group</i>,
        total:27,
        type:1
    },{
        title:"Active Employees",
        icon:<i className="material-symbols-outlined ">
        person_check
        </i>,
        total:20,
        type:2
    },{
        title:"Inactive Employees",
        icon:<i className="material-symbols-outlined ">
        person_cancel
        </i>,
        total:5,
        type:3
    },{
        title:"On Vacation",
        icon:<i className="material-symbols-outlined ">
        person_alert
        </i>,
        total:2,
        type:4
    }]
    return ( <div>
        <div className={`grid grid-cols-4 gap-4 ${Styles.card}`}>
            {data.map((ele)=>(<div key={ele.title} className="shadow-box p-4 gap-5 flex radius-less bg-white col-span-4 sm:col-span-2 lg:col-span-1 ">
                <div className={ele.type==1?Styles.chipInfo:(ele.type==2?Styles.chipSuccess:(ele.type==3?Styles.chipError:Styles.chipWarning))} >
                    {ele.icon}
                </div>
                <div>
                    <div className="text-dark-color">{ele.total}</div>
                    <div className="text-main-color font-size-xs">{ele.title}</div>
                </div>
            </div>))}
            
            
        </div>
        <div className="shadow-box p-5  bg-white mt-4">
            <div className="flex justify-between">
                <div>
                    <Button>Add Employee</Button>
                </div>
                <div className={Styles.iconHover}>
                    <i className="material-symbols-outlined ">
                    download
                    </i>
                </div>
                
            </div>
            <div>
                <Suspense>
                    <DataTable/>
                </Suspense>
                
            </div>
        </div>

    </div> );
}

export default Employees;